com.tibbo.aggregate.common.action

## Class ActionContext

- java.lang.Object
- - com.tibbo.aggregate.common.action.ActionContext

- Direct Known Subclasses:
    ServerActionContext

      public abstract class ActionContext
      extends java.lang.Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `ActionContext.ActionState`
    `static interface` | `ActionContext.ChangeActionStateListener`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ActionContext(ActionDefinition actionDefinition, ActionManager actionManager)`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ActionDefinition` | `getActionDefinition()`
    `ActionExecutionMode` | `getActionExecutionMode()`
    `ActionManager` | `getActionManager()`
    `ActionContext.ActionState` | `getActionState()`
    `BatchContext` | `getBatchContext()`
    `abstract CallerController` | `getCallerController()`
    `abstract Context` | `getDefiningContext()`
    `RequestCache` | `getRequestCache()`
    `boolean` | `isExecutedAsDefault()`
    `void` | `setActionExecutionMode(ActionExecutionMode actionExecutionMode)`
    `void` | `setBatchContext(BatchContext batchContext)`
    `void` | `setChangeActionStateListener(ActionContext.ChangeActionStateListener changeActionStateListener)`
    `void` | `setExecutedAsDefault(boolean executedAsDefault)`
    `void` | `setRequestCache(RequestCache requestCache)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ActionContext

          public ActionContext(ActionDefinition actionDefinition,
                               ActionManager actionManager)

  - ### Method Detail

    - #### getCallerController

          public abstract CallerController getCallerController()

    - #### getDefiningContext

          public abstract Context getDefiningContext()

    - #### getActionDefinition

          public ActionDefinition getActionDefinition()

    - #### getBatchContext

          public BatchContext getBatchContext()

    - #### getRequestCache

          public RequestCache getRequestCache()

    - #### getActionState

          public ActionContext.ActionState getActionState()

    - #### getActionManager

          public ActionManager getActionManager()

    - #### setBatchContext

          public void setBatchContext(BatchContext batchContext)

    - #### setRequestCache

          public void setRequestCache(RequestCache requestCache)

    - #### setChangeActionStateListener

          public void setChangeActionStateListener(ActionContext.ChangeActionStateListener changeActionStateListener)

    - #### getActionExecutionMode

          public ActionExecutionMode getActionExecutionMode()

    - #### setActionExecutionMode

          public void setActionExecutionMode(ActionExecutionMode actionExecutionMode)

    - #### isExecutedAsDefault

          public boolean isExecutedAsDefault()

    - #### setExecutedAsDefault

          public void setExecutedAsDefault(boolean executedAsDefault)